# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ndwt-macros"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for wavelet filter-coefficient generation and lifting-scheme expansion (used by the `ndwt` crate)."
readme = false
keywords = [
    "wavelet",
    "signal-processing",
    "proc-macro",
    "codegen",
]
categories = [
    "science",
    "algorithms",
]
license = "MIT"
repository = "https://github.com/jcapriot/wavelets-rs"

[lib]
name = "ndwt_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.45"

[dependencies.syn]
version = "2.0.117"
features = ["full"]
